> ## Documentation Index
> Fetch the complete documentation index at: https://help.lobyco.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Updates loyalty card properties



## OpenAPI

````yaml openapi/member-v1.json PUT /v1/loyalty-cards/{cardId}
openapi: 3.0.4
info:
  title: MemberService.Api
  version: v1
servers:
  - url: https://{host}/member
    description: Your Lobyco environment
    variables:
      host:
        default: your-environment.lobyco.net
        description: >-
          The API host for your Lobyco environment. Replace it with the host you
          were given — this placeholder does not resolve.
security:
  - Bearer: []
paths:
  /v1/loyalty-cards/{cardId}:
    put:
      tags:
        - Service2Service
      summary: Updates loyalty card properties
      parameters:
        - name: cardId
          in: path
          description: Loyalty card ID
          required: true
          schema:
            type: string
      requestBody:
        description: Loyalty card update request
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/MemberService.Api.Controllers.DTOs.UpdateLoyaltyCardRequest
          text/json:
            schema:
              $ref: >-
                #/components/schemas/MemberService.Api.Controllers.DTOs.UpdateLoyaltyCardRequest
          application/*+json:
            schema:
              $ref: >-
                #/components/schemas/MemberService.Api.Controllers.DTOs.UpdateLoyaltyCardRequest
        required: true
      responses:
        '200':
          description: OK
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/LoopFoundation.Commons.Contracts.WebServiceError
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/LoopFoundation.Commons.Contracts.WebServiceError
components:
  schemas:
    MemberService.Api.Controllers.DTOs.UpdateLoyaltyCardRequest:
      required:
        - state
      type: object
      properties:
        state:
          $ref: '#/components/schemas/MemberService.Domain.Entities.LoyaltyCardState'
      additionalProperties: false
    LoopFoundation.Commons.Contracts.WebServiceError:
      required:
        - message
        - name
      type: object
      properties:
        name:
          minLength: 1
          type: string
        message:
          minLength: 1
          type: string
        details:
          nullable: true
      additionalProperties: false
    MemberService.Domain.Entities.LoyaltyCardState:
      enum:
        - Inactive
        - Active
      type: string
  securitySchemes:
    Bearer:
      type: apiKey
      description: >-
        JWT Authorization header using the Bearer scheme. Example:
        "Authorization: Bearer {token}"
      name: Authorization
      in: header

````